"use strict";
/********************************************************************************
 * Copyright (C) 2021 Jon Radchenko and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MlFlowUiFileOpenHandler = void 0;
const inversify_1 = require("inversify");
const browser_1 = require("@theia/core/lib/browser");
const server_proxy_instance_manager_1 = require("theia-server-proxy-extension/lib/browser/server-proxy-instance-manager");
const workspace_service_1 = require("@theia/workspace/lib/browser/workspace-service");
const const_1 = require("../common/const");
const server_proxy_open_handler_1 = require("theia-server-proxy-extension/lib/browser/server-proxy-open-handler");
let MlFlowUiFileOpenHandler = class MlFlowUiFileOpenHandler {
    constructor() {
        this.id = 'mlflow.ui.file.openhandler';
        this.label = 'MlFlow';
    }
    canHandle(uri) {
        try {
            if (uri.path.name == "mlruns" && uri.path.ext == "") {
                return 500;
            }
            return 0;
        }
        catch (_a) {
            return 0;
        }
    }
    async open(uri) {
        const instance = await this.serverProxyInstanceManager.getOrCreateInstance(const_1.Extension.ServerProxy, {
            backendStoreUri: `file://${uri.path.toString()}`
        });
        return await this.serverProxyOpenHandler.openInstance(instance);
    }
};
__decorate([
    (0, inversify_1.inject)(workspace_service_1.WorkspaceService),
    __metadata("design:type", workspace_service_1.WorkspaceService)
], MlFlowUiFileOpenHandler.prototype, "workspaceService", void 0);
__decorate([
    (0, inversify_1.inject)(server_proxy_instance_manager_1.ServerProxyInstanceManager),
    __metadata("design:type", server_proxy_instance_manager_1.ServerProxyInstanceManager)
], MlFlowUiFileOpenHandler.prototype, "serverProxyInstanceManager", void 0);
__decorate([
    (0, inversify_1.inject)(server_proxy_open_handler_1.ServerProxyOpenHandler),
    __metadata("design:type", server_proxy_open_handler_1.ServerProxyOpenHandler)
], MlFlowUiFileOpenHandler.prototype, "serverProxyOpenHandler", void 0);
__decorate([
    (0, inversify_1.inject)(browser_1.OpenerService),
    __metadata("design:type", Object)
], MlFlowUiFileOpenHandler.prototype, "openerService", void 0);
MlFlowUiFileOpenHandler = __decorate([
    (0, inversify_1.injectable)()
], MlFlowUiFileOpenHandler);
exports.MlFlowUiFileOpenHandler = MlFlowUiFileOpenHandler;
//# sourceMappingURL=mlflow-ui-file-open-handler.js.map