/********************************************************************************
 * Copyright (C) 2021 Jon Radchenko and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
import { Options, RequestHandler } from 'http-proxy-middleware';
import { BaseServerProxyInstanceBuilder, ServerProxyCommand, ServerProxyContribution } from 'theia-server-proxy-extension/lib/node/server-proxy-contribution';
import { ServerProxy } from 'theia-server-proxy-extension/lib/common/server-proxy';
import ServerProxyContext from '../common/server-proxy-context';
import { ServerProxyUrlManager } from "theia-server-proxy-extension/lib/common/server-proxy-url-manager";
export declare class MlFlowUiInstanceBuilder extends BaseServerProxyInstanceBuilder<ServerProxyContext> {
    serverProxy: ServerProxy;
    getCommand(_instanceId: string, context: ServerProxyContext): Promise<ServerProxyCommand>;
}
export declare class MlFlowUiServerProxyContribution implements ServerProxyContribution {
    readonly serverProxyInstanceBuilder: MlFlowUiInstanceBuilder;
    id: string;
    name: string;
    protected readonly serverProxyUrlManager: ServerProxyUrlManager;
    constructor(serverProxyInstanceBuilder: MlFlowUiInstanceBuilder);
    getMiddleware(basePath: string, baseOptions: Options): RequestHandler;
}
//# sourceMappingURL=mlflow-ui-server-proxy-contribution.d.ts.map